
QGIS Application - Bug report #20781

Crashed trying to export to a PDF

2018-12-11 09:55 PM - Jay Witt

Status: Closed

Priority: High

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.4.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28601

Description

User Feedback

I was trying to export the graphic to a PDF

Report Details

Crash ID: b05945bba3a1fbc106cd656b59b4a5c51fcb86f3

Stack Trace

QGraphicsItem::rotation :

QgsLayoutItemGroup::updateBoundingRect :

QgsLayoutItemGroup::resetBoundingRect :

QgsLayoutItemGroup::attemptResize :

QgsLayoutItem::refresh :

QMetaObject::activate :

QgsLayout::refresh :

QgsDatumTransformTableModel::columnCount :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :
QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: commit:22034aa070

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-12-11 10:17 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

"graphic" means a print layout? is 100% replicable? have you tried with a new/clean profile?

#2 - 2018-12-11 10:25 PM - Jay Witt

- Assignee set to Giovanni Manghi

"graphic" means a print layout? Yes. The crash happened twice. Both times I had started with a blank layout. After the first crash, my map file was

compromised.The second time my Map file was still good.

is 100% replicable? It happened twice. However when I changed the margins and saved the file to my Hard drive it worked. Perhaps the issue is with my

VPN?

have you tried with a new/clean profile? Yes... both crashes happened after starting with new/clean profiles.

#3 - 2018-12-11 10:25 PM - Giovanni Manghi

- Assignee deleted (Giovanni Manghi)

#4 - 2018-12-11 10:26 PM - Giovanni Manghi

- Category changed from Actions to Map Composer/Printing

- Status changed from Feedback to Open

#5 - 2018-12-11 10:27 PM - Nyall Dawson

Can you share the print layout (or project file)?

#6 - 2018-12-11 10:29 PM - Giovanni Manghi

- Status changed from Open to Feedback
#7 - 2019-01-15 04:07 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

2024-04-28 3/3


